package com.ruoyi.system.domain.task;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class TkChengyunTaskExample implements Serializable {

    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private static final long serialVersionUID = 1L;

    public TkChengyunTaskExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria implements Serializable {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andCedeventcodeIsNull() {
            addCriterion("cedEventCode is null");
            return (Criteria) this;
        }

        public Criteria andCedeventcodeIsNotNull() {
            addCriterion("cedEventCode is not null");
            return (Criteria) this;
        }

        public Criteria andCedeventcodeEqualTo(String value) {
            addCriterion("cedEventCode =", value, "cedeventcode");
            return (Criteria) this;
        }

        public Criteria andCedeventcodeNotEqualTo(String value) {
            addCriterion("cedEventCode <>", value, "cedeventcode");
            return (Criteria) this;
        }

        public Criteria andCedeventcodeGreaterThan(String value) {
            addCriterion("cedEventCode >", value, "cedeventcode");
            return (Criteria) this;
        }

        public Criteria andCedeventcodeGreaterThanOrEqualTo(String value) {
            addCriterion("cedEventCode >=", value, "cedeventcode");
            return (Criteria) this;
        }

        public Criteria andCedeventcodeLessThan(String value) {
            addCriterion("cedEventCode <", value, "cedeventcode");
            return (Criteria) this;
        }

        public Criteria andCedeventcodeLessThanOrEqualTo(String value) {
            addCriterion("cedEventCode <=", value, "cedeventcode");
            return (Criteria) this;
        }

        public Criteria andCedeventcodeLike(String value) {
            addCriterion("cedEventCode like", value, "cedeventcode");
            return (Criteria) this;
        }

        public Criteria andCedeventcodeNotLike(String value) {
            addCriterion("cedEventCode not like", value, "cedeventcode");
            return (Criteria) this;
        }

        public Criteria andCedeventcodeIn(List<String> values) {
            addCriterion("cedEventCode in", values, "cedeventcode");
            return (Criteria) this;
        }

        public Criteria andCedeventcodeNotIn(List<String> values) {
            addCriterion("cedEventCode not in", values, "cedeventcode");
            return (Criteria) this;
        }

        public Criteria andCedeventcodeBetween(String value1, String value2) {
            addCriterion("cedEventCode between", value1, value2, "cedeventcode");
            return (Criteria) this;
        }

        public Criteria andCedeventcodeNotBetween(String value1, String value2) {
            addCriterion("cedEventCode not between", value1, value2, "cedeventcode");
            return (Criteria) this;
        }

        public Criteria andNameIsNull() {
            addCriterion("name is null");
            return (Criteria) this;
        }

        public Criteria andNameIsNotNull() {
            addCriterion("name is not null");
            return (Criteria) this;
        }

        public Criteria andNameEqualTo(String value) {
            addCriterion("name =", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotEqualTo(String value) {
            addCriterion("name <>", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThan(String value) {
            addCriterion("name >", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThanOrEqualTo(String value) {
            addCriterion("name >=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThan(String value) {
            addCriterion("name <", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThanOrEqualTo(String value) {
            addCriterion("name <=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLike(String value) {
            addCriterion("name like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotLike(String value) {
            addCriterion("name not like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameIn(List<String> values) {
            addCriterion("name in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotIn(List<String> values) {
            addCriterion("name not in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameBetween(String value1, String value2) {
            addCriterion("name between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotBetween(String value1, String value2) {
            addCriterion("name not between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andFsdzIsNull() {
            addCriterion("fsdz is null");
            return (Criteria) this;
        }

        public Criteria andFsdzIsNotNull() {
            addCriterion("fsdz is not null");
            return (Criteria) this;
        }

        public Criteria andFsdzEqualTo(String value) {
            addCriterion("fsdz =", value, "fsdz");
            return (Criteria) this;
        }

        public Criteria andFsdzNotEqualTo(String value) {
            addCriterion("fsdz <>", value, "fsdz");
            return (Criteria) this;
        }

        public Criteria andFsdzGreaterThan(String value) {
            addCriterion("fsdz >", value, "fsdz");
            return (Criteria) this;
        }

        public Criteria andFsdzGreaterThanOrEqualTo(String value) {
            addCriterion("fsdz >=", value, "fsdz");
            return (Criteria) this;
        }

        public Criteria andFsdzLessThan(String value) {
            addCriterion("fsdz <", value, "fsdz");
            return (Criteria) this;
        }

        public Criteria andFsdzLessThanOrEqualTo(String value) {
            addCriterion("fsdz <=", value, "fsdz");
            return (Criteria) this;
        }

        public Criteria andFsdzLike(String value) {
            addCriterion("fsdz like", value, "fsdz");
            return (Criteria) this;
        }

        public Criteria andFsdzNotLike(String value) {
            addCriterion("fsdz not like", value, "fsdz");
            return (Criteria) this;
        }

        public Criteria andFsdzIn(List<String> values) {
            addCriterion("fsdz in", values, "fsdz");
            return (Criteria) this;
        }

        public Criteria andFsdzNotIn(List<String> values) {
            addCriterion("fsdz not in", values, "fsdz");
            return (Criteria) this;
        }

        public Criteria andFsdzBetween(String value1, String value2) {
            addCriterion("fsdz between", value1, value2, "fsdz");
            return (Criteria) this;
        }

        public Criteria andFsdzNotBetween(String value1, String value2) {
            addCriterion("fsdz not between", value1, value2, "fsdz");
            return (Criteria) this;
        }

        public Criteria andLongitudeIsNull() {
            addCriterion("longitude is null");
            return (Criteria) this;
        }

        public Criteria andLongitudeIsNotNull() {
            addCriterion("longitude is not null");
            return (Criteria) this;
        }

        public Criteria andLongitudeEqualTo(String value) {
            addCriterion("longitude =", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeNotEqualTo(String value) {
            addCriterion("longitude <>", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeGreaterThan(String value) {
            addCriterion("longitude >", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeGreaterThanOrEqualTo(String value) {
            addCriterion("longitude >=", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeLessThan(String value) {
            addCriterion("longitude <", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeLessThanOrEqualTo(String value) {
            addCriterion("longitude <=", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeLike(String value) {
            addCriterion("longitude like", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeNotLike(String value) {
            addCriterion("longitude not like", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeIn(List<String> values) {
            addCriterion("longitude in", values, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeNotIn(List<String> values) {
            addCriterion("longitude not in", values, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeBetween(String value1, String value2) {
            addCriterion("longitude between", value1, value2, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeNotBetween(String value1, String value2) {
            addCriterion("longitude not between", value1, value2, "longitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeIsNull() {
            addCriterion("latitude is null");
            return (Criteria) this;
        }

        public Criteria andLatitudeIsNotNull() {
            addCriterion("latitude is not null");
            return (Criteria) this;
        }

        public Criteria andLatitudeEqualTo(String value) {
            addCriterion("latitude =", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeNotEqualTo(String value) {
            addCriterion("latitude <>", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeGreaterThan(String value) {
            addCriterion("latitude >", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeGreaterThanOrEqualTo(String value) {
            addCriterion("latitude >=", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeLessThan(String value) {
            addCriterion("latitude <", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeLessThanOrEqualTo(String value) {
            addCriterion("latitude <=", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeLike(String value) {
            addCriterion("latitude like", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeNotLike(String value) {
            addCriterion("latitude not like", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeIn(List<String> values) {
            addCriterion("latitude in", values, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeNotIn(List<String> values) {
            addCriterion("latitude not in", values, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeBetween(String value1, String value2) {
            addCriterion("latitude between", value1, value2, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeNotBetween(String value1, String value2) {
            addCriterion("latitude not between", value1, value2, "latitude");
            return (Criteria) this;
        }

        public Criteria andSfsjIsNull() {
            addCriterion("SFSJ is null");
            return (Criteria) this;
        }

        public Criteria andSfsjIsNotNull() {
            addCriterion("SFSJ is not null");
            return (Criteria) this;
        }

        public Criteria andSfsjEqualTo(String value) {
            addCriterion("SFSJ =", value, "sfsj");
            return (Criteria) this;
        }

        public Criteria andSfsjNotEqualTo(String value) {
            addCriterion("SFSJ <>", value, "sfsj");
            return (Criteria) this;
        }

        public Criteria andSfsjGreaterThan(String value) {
            addCriterion("SFSJ >", value, "sfsj");
            return (Criteria) this;
        }

        public Criteria andSfsjGreaterThanOrEqualTo(String value) {
            addCriterion("SFSJ >=", value, "sfsj");
            return (Criteria) this;
        }

        public Criteria andSfsjLessThan(String value) {
            addCriterion("SFSJ <", value, "sfsj");
            return (Criteria) this;
        }

        public Criteria andSfsjLessThanOrEqualTo(String value) {
            addCriterion("SFSJ <=", value, "sfsj");
            return (Criteria) this;
        }

        public Criteria andSfsjLike(String value) {
            addCriterion("SFSJ like", value, "sfsj");
            return (Criteria) this;
        }

        public Criteria andSfsjNotLike(String value) {
            addCriterion("SFSJ not like", value, "sfsj");
            return (Criteria) this;
        }

        public Criteria andSfsjIn(List<String> values) {
            addCriterion("SFSJ in", values, "sfsj");
            return (Criteria) this;
        }

        public Criteria andSfsjNotIn(List<String> values) {
            addCriterion("SFSJ not in", values, "sfsj");
            return (Criteria) this;
        }

        public Criteria andSfsjBetween(String value1, String value2) {
            addCriterion("SFSJ between", value1, value2, "sfsj");
            return (Criteria) this;
        }

        public Criteria andSfsjNotBetween(String value1, String value2) {
            addCriterion("SFSJ not between", value1, value2, "sfsj");
            return (Criteria) this;
        }

        public Criteria andComplaintsPersonIsNull() {
            addCriterion("complaints_person is null");
            return (Criteria) this;
        }

        public Criteria andComplaintsPersonIsNotNull() {
            addCriterion("complaints_person is not null");
            return (Criteria) this;
        }

        public Criteria andComplaintsPersonEqualTo(String value) {
            addCriterion("complaints_person =", value, "complaintsPerson");
            return (Criteria) this;
        }

        public Criteria andComplaintsPersonNotEqualTo(String value) {
            addCriterion("complaints_person <>", value, "complaintsPerson");
            return (Criteria) this;
        }

        public Criteria andComplaintsPersonGreaterThan(String value) {
            addCriterion("complaints_person >", value, "complaintsPerson");
            return (Criteria) this;
        }

        public Criteria andComplaintsPersonGreaterThanOrEqualTo(String value) {
            addCriterion("complaints_person >=", value, "complaintsPerson");
            return (Criteria) this;
        }

        public Criteria andComplaintsPersonLessThan(String value) {
            addCriterion("complaints_person <", value, "complaintsPerson");
            return (Criteria) this;
        }

        public Criteria andComplaintsPersonLessThanOrEqualTo(String value) {
            addCriterion("complaints_person <=", value, "complaintsPerson");
            return (Criteria) this;
        }

        public Criteria andComplaintsPersonLike(String value) {
            addCriterion("complaints_person like", value, "complaintsPerson");
            return (Criteria) this;
        }

        public Criteria andComplaintsPersonNotLike(String value) {
            addCriterion("complaints_person not like", value, "complaintsPerson");
            return (Criteria) this;
        }

        public Criteria andComplaintsPersonIn(List<String> values) {
            addCriterion("complaints_person in", values, "complaintsPerson");
            return (Criteria) this;
        }

        public Criteria andComplaintsPersonNotIn(List<String> values) {
            addCriterion("complaints_person not in", values, "complaintsPerson");
            return (Criteria) this;
        }

        public Criteria andComplaintsPersonBetween(String value1, String value2) {
            addCriterion("complaints_person between", value1, value2, "complaintsPerson");
            return (Criteria) this;
        }

        public Criteria andComplaintsPersonNotBetween(String value1, String value2) {
            addCriterion("complaints_person not between", value1, value2, "complaintsPerson");
            return (Criteria) this;
        }

        public Criteria andComplaintsPhoneIsNull() {
            addCriterion("complaints_phone is null");
            return (Criteria) this;
        }

        public Criteria andComplaintsPhoneIsNotNull() {
            addCriterion("complaints_phone is not null");
            return (Criteria) this;
        }

        public Criteria andComplaintsPhoneEqualTo(String value) {
            addCriterion("complaints_phone =", value, "complaintsPhone");
            return (Criteria) this;
        }

        public Criteria andComplaintsPhoneNotEqualTo(String value) {
            addCriterion("complaints_phone <>", value, "complaintsPhone");
            return (Criteria) this;
        }

        public Criteria andComplaintsPhoneGreaterThan(String value) {
            addCriterion("complaints_phone >", value, "complaintsPhone");
            return (Criteria) this;
        }

        public Criteria andComplaintsPhoneGreaterThanOrEqualTo(String value) {
            addCriterion("complaints_phone >=", value, "complaintsPhone");
            return (Criteria) this;
        }

        public Criteria andComplaintsPhoneLessThan(String value) {
            addCriterion("complaints_phone <", value, "complaintsPhone");
            return (Criteria) this;
        }

        public Criteria andComplaintsPhoneLessThanOrEqualTo(String value) {
            addCriterion("complaints_phone <=", value, "complaintsPhone");
            return (Criteria) this;
        }

        public Criteria andComplaintsPhoneLike(String value) {
            addCriterion("complaints_phone like", value, "complaintsPhone");
            return (Criteria) this;
        }

        public Criteria andComplaintsPhoneNotLike(String value) {
            addCriterion("complaints_phone not like", value, "complaintsPhone");
            return (Criteria) this;
        }

        public Criteria andComplaintsPhoneIn(List<String> values) {
            addCriterion("complaints_phone in", values, "complaintsPhone");
            return (Criteria) this;
        }

        public Criteria andComplaintsPhoneNotIn(List<String> values) {
            addCriterion("complaints_phone not in", values, "complaintsPhone");
            return (Criteria) this;
        }

        public Criteria andComplaintsPhoneBetween(String value1, String value2) {
            addCriterion("complaints_phone between", value1, value2, "complaintsPhone");
            return (Criteria) this;
        }

        public Criteria andComplaintsPhoneNotBetween(String value1, String value2) {
            addCriterion("complaints_phone not between", value1, value2, "complaintsPhone");
            return (Criteria) this;
        }

        public Criteria andTownstreetIsNull() {
            addCriterion("townStreet is null");
            return (Criteria) this;
        }

        public Criteria andTownstreetIsNotNull() {
            addCriterion("townStreet is not null");
            return (Criteria) this;
        }

        public Criteria andTownstreetEqualTo(String value) {
            addCriterion("townStreet =", value, "townstreet");
            return (Criteria) this;
        }

        public Criteria andTownstreetNotEqualTo(String value) {
            addCriterion("townStreet <>", value, "townstreet");
            return (Criteria) this;
        }

        public Criteria andTownstreetGreaterThan(String value) {
            addCriterion("townStreet >", value, "townstreet");
            return (Criteria) this;
        }

        public Criteria andTownstreetGreaterThanOrEqualTo(String value) {
            addCriterion("townStreet >=", value, "townstreet");
            return (Criteria) this;
        }

        public Criteria andTownstreetLessThan(String value) {
            addCriterion("townStreet <", value, "townstreet");
            return (Criteria) this;
        }

        public Criteria andTownstreetLessThanOrEqualTo(String value) {
            addCriterion("townStreet <=", value, "townstreet");
            return (Criteria) this;
        }

        public Criteria andTownstreetLike(String value) {
            addCriterion("townStreet like", value, "townstreet");
            return (Criteria) this;
        }

        public Criteria andTownstreetNotLike(String value) {
            addCriterion("townStreet not like", value, "townstreet");
            return (Criteria) this;
        }

        public Criteria andTownstreetIn(List<String> values) {
            addCriterion("townStreet in", values, "townstreet");
            return (Criteria) this;
        }

        public Criteria andTownstreetNotIn(List<String> values) {
            addCriterion("townStreet not in", values, "townstreet");
            return (Criteria) this;
        }

        public Criteria andTownstreetBetween(String value1, String value2) {
            addCriterion("townStreet between", value1, value2, "townstreet");
            return (Criteria) this;
        }

        public Criteria andTownstreetNotBetween(String value1, String value2) {
            addCriterion("townStreet not between", value1, value2, "townstreet");
            return (Criteria) this;
        }

        public Criteria andTypeIsNull() {
            addCriterion("type is null");
            return (Criteria) this;
        }

        public Criteria andTypeIsNotNull() {
            addCriterion("type is not null");
            return (Criteria) this;
        }

        public Criteria andTypeEqualTo(String value) {
            addCriterion("type =", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotEqualTo(String value) {
            addCriterion("type <>", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThan(String value) {
            addCriterion("type >", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThanOrEqualTo(String value) {
            addCriterion("type >=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThan(String value) {
            addCriterion("type <", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThanOrEqualTo(String value) {
            addCriterion("type <=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLike(String value) {
            addCriterion("type like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotLike(String value) {
            addCriterion("type not like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeIn(List<String> values) {
            addCriterion("type in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotIn(List<String> values) {
            addCriterion("type not in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeBetween(String value1, String value2) {
            addCriterion("type between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotBetween(String value1, String value2) {
            addCriterion("type not between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andNamespaceIsNull() {
            addCriterion("namespace is null");
            return (Criteria) this;
        }

        public Criteria andNamespaceIsNotNull() {
            addCriterion("namespace is not null");
            return (Criteria) this;
        }

        public Criteria andNamespaceEqualTo(String value) {
            addCriterion("namespace =", value, "namespace");
            return (Criteria) this;
        }

        public Criteria andNamespaceNotEqualTo(String value) {
            addCriterion("namespace <>", value, "namespace");
            return (Criteria) this;
        }

        public Criteria andNamespaceGreaterThan(String value) {
            addCriterion("namespace >", value, "namespace");
            return (Criteria) this;
        }

        public Criteria andNamespaceGreaterThanOrEqualTo(String value) {
            addCriterion("namespace >=", value, "namespace");
            return (Criteria) this;
        }

        public Criteria andNamespaceLessThan(String value) {
            addCriterion("namespace <", value, "namespace");
            return (Criteria) this;
        }

        public Criteria andNamespaceLessThanOrEqualTo(String value) {
            addCriterion("namespace <=", value, "namespace");
            return (Criteria) this;
        }

        public Criteria andNamespaceLike(String value) {
            addCriterion("namespace like", value, "namespace");
            return (Criteria) this;
        }

        public Criteria andNamespaceNotLike(String value) {
            addCriterion("namespace not like", value, "namespace");
            return (Criteria) this;
        }

        public Criteria andNamespaceIn(List<String> values) {
            addCriterion("namespace in", values, "namespace");
            return (Criteria) this;
        }

        public Criteria andNamespaceNotIn(List<String> values) {
            addCriterion("namespace not in", values, "namespace");
            return (Criteria) this;
        }

        public Criteria andNamespaceBetween(String value1, String value2) {
            addCriterion("namespace between", value1, value2, "namespace");
            return (Criteria) this;
        }

        public Criteria andNamespaceNotBetween(String value1, String value2) {
            addCriterion("namespace not between", value1, value2, "namespace");
            return (Criteria) this;
        }

        public Criteria andTownstreetcodeIsNull() {
            addCriterion("townStreetCode is null");
            return (Criteria) this;
        }

        public Criteria andTownstreetcodeIsNotNull() {
            addCriterion("townStreetCode is not null");
            return (Criteria) this;
        }

        public Criteria andTownstreetcodeEqualTo(String value) {
            addCriterion("townStreetCode =", value, "townstreetcode");
            return (Criteria) this;
        }

        public Criteria andTownstreetcodeNotEqualTo(String value) {
            addCriterion("townStreetCode <>", value, "townstreetcode");
            return (Criteria) this;
        }

        public Criteria andTownstreetcodeGreaterThan(String value) {
            addCriterion("townStreetCode >", value, "townstreetcode");
            return (Criteria) this;
        }

        public Criteria andTownstreetcodeGreaterThanOrEqualTo(String value) {
            addCriterion("townStreetCode >=", value, "townstreetcode");
            return (Criteria) this;
        }

        public Criteria andTownstreetcodeLessThan(String value) {
            addCriterion("townStreetCode <", value, "townstreetcode");
            return (Criteria) this;
        }

        public Criteria andTownstreetcodeLessThanOrEqualTo(String value) {
            addCriterion("townStreetCode <=", value, "townstreetcode");
            return (Criteria) this;
        }

        public Criteria andTownstreetcodeLike(String value) {
            addCriterion("townStreetCode like", value, "townstreetcode");
            return (Criteria) this;
        }

        public Criteria andTownstreetcodeNotLike(String value) {
            addCriterion("townStreetCode not like", value, "townstreetcode");
            return (Criteria) this;
        }

        public Criteria andTownstreetcodeIn(List<String> values) {
            addCriterion("townStreetCode in", values, "townstreetcode");
            return (Criteria) this;
        }

        public Criteria andTownstreetcodeNotIn(List<String> values) {
            addCriterion("townStreetCode not in", values, "townstreetcode");
            return (Criteria) this;
        }

        public Criteria andTownstreetcodeBetween(String value1, String value2) {
            addCriterion("townStreetCode between", value1, value2, "townstreetcode");
            return (Criteria) this;
        }

        public Criteria andTownstreetcodeNotBetween(String value1, String value2) {
            addCriterion("townStreetCode not between", value1, value2, "townstreetcode");
            return (Criteria) this;
        }

        public Criteria andIspushIsNull() {
            addCriterion("ISPUSH is null");
            return (Criteria) this;
        }

        public Criteria andIspushIsNotNull() {
            addCriterion("ISPUSH is not null");
            return (Criteria) this;
        }

        public Criteria andIspushEqualTo(Integer value) {
            addCriterion("ISPUSH =", value, "ispush");
            return (Criteria) this;
        }

        public Criteria andIspushNotEqualTo(Integer value) {
            addCriterion("ISPUSH <>", value, "ispush");
            return (Criteria) this;
        }

        public Criteria andIspushGreaterThan(Integer value) {
            addCriterion("ISPUSH >", value, "ispush");
            return (Criteria) this;
        }

        public Criteria andIspushGreaterThanOrEqualTo(Integer value) {
            addCriterion("ISPUSH >=", value, "ispush");
            return (Criteria) this;
        }

        public Criteria andIspushLessThan(Integer value) {
            addCriterion("ISPUSH <", value, "ispush");
            return (Criteria) this;
        }

        public Criteria andIspushLessThanOrEqualTo(Integer value) {
            addCriterion("ISPUSH <=", value, "ispush");
            return (Criteria) this;
        }

        public Criteria andIspushIn(List<Integer> values) {
            addCriterion("ISPUSH in", values, "ispush");
            return (Criteria) this;
        }

        public Criteria andIspushNotIn(List<Integer> values) {
            addCriterion("ISPUSH not in", values, "ispush");
            return (Criteria) this;
        }

        public Criteria andIspushBetween(Integer value1, Integer value2) {
            addCriterion("ISPUSH between", value1, value2, "ispush");
            return (Criteria) this;
        }

        public Criteria andIspushNotBetween(Integer value1, Integer value2) {
            addCriterion("ISPUSH not between", value1, value2, "ispush");
            return (Criteria) this;
        }

        public Criteria andCedresponseendtimeIsNull() {
            addCriterion("cedResponseEndTime is null");
            return (Criteria) this;
        }

        public Criteria andCedresponseendtimeIsNotNull() {
            addCriterion("cedResponseEndTime is not null");
            return (Criteria) this;
        }

        public Criteria andCedresponseendtimeEqualTo(String value) {
            addCriterion("cedResponseEndTime =", value, "cedresponseendtime");
            return (Criteria) this;
        }

        public Criteria andCedresponseendtimeNotEqualTo(String value) {
            addCriterion("cedResponseEndTime <>", value, "cedresponseendtime");
            return (Criteria) this;
        }

        public Criteria andCedresponseendtimeGreaterThan(String value) {
            addCriterion("cedResponseEndTime >", value, "cedresponseendtime");
            return (Criteria) this;
        }

        public Criteria andCedresponseendtimeGreaterThanOrEqualTo(String value) {
            addCriterion("cedResponseEndTime >=", value, "cedresponseendtime");
            return (Criteria) this;
        }

        public Criteria andCedresponseendtimeLessThan(String value) {
            addCriterion("cedResponseEndTime <", value, "cedresponseendtime");
            return (Criteria) this;
        }

        public Criteria andCedresponseendtimeLessThanOrEqualTo(String value) {
            addCriterion("cedResponseEndTime <=", value, "cedresponseendtime");
            return (Criteria) this;
        }

        public Criteria andCedresponseendtimeLike(String value) {
            addCriterion("cedResponseEndTime like", value, "cedresponseendtime");
            return (Criteria) this;
        }

        public Criteria andCedresponseendtimeNotLike(String value) {
            addCriterion("cedResponseEndTime not like", value, "cedresponseendtime");
            return (Criteria) this;
        }

        public Criteria andCedresponseendtimeIn(List<String> values) {
            addCriterion("cedResponseEndTime in", values, "cedresponseendtime");
            return (Criteria) this;
        }

        public Criteria andCedresponseendtimeNotIn(List<String> values) {
            addCriterion("cedResponseEndTime not in", values, "cedresponseendtime");
            return (Criteria) this;
        }

        public Criteria andCedresponseendtimeBetween(String value1, String value2) {
            addCriterion("cedResponseEndTime between", value1, value2, "cedresponseendtime");
            return (Criteria) this;
        }

        public Criteria andCedresponseendtimeNotBetween(String value1, String value2) {
            addCriterion("cedResponseEndTime not between", value1, value2, "cedresponseendtime");
            return (Criteria) this;
        }

        public Criteria andIssyncIsNull() {
            addCriterion("ISSYNC is null");
            return (Criteria) this;
        }

        public Criteria andIssyncIsNotNull() {
            addCriterion("ISSYNC is not null");
            return (Criteria) this;
        }

        public Criteria andIssyncEqualTo(Integer value) {
            addCriterion("ISSYNC =", value, "issync");
            return (Criteria) this;
        }

        public Criteria andIssyncNotEqualTo(Integer value) {
            addCriterion("ISSYNC <>", value, "issync");
            return (Criteria) this;
        }

        public Criteria andIssyncGreaterThan(Integer value) {
            addCriterion("ISSYNC >", value, "issync");
            return (Criteria) this;
        }

        public Criteria andIssyncGreaterThanOrEqualTo(Integer value) {
            addCriterion("ISSYNC >=", value, "issync");
            return (Criteria) this;
        }

        public Criteria andIssyncLessThan(Integer value) {
            addCriterion("ISSYNC <", value, "issync");
            return (Criteria) this;
        }

        public Criteria andIssyncLessThanOrEqualTo(Integer value) {
            addCriterion("ISSYNC <=", value, "issync");
            return (Criteria) this;
        }

        public Criteria andIssyncIn(List<Integer> values) {
            addCriterion("ISSYNC in", values, "issync");
            return (Criteria) this;
        }

        public Criteria andIssyncNotIn(List<Integer> values) {
            addCriterion("ISSYNC not in", values, "issync");
            return (Criteria) this;
        }

        public Criteria andIssyncBetween(Integer value1, Integer value2) {
            addCriterion("ISSYNC between", value1, value2, "issync");
            return (Criteria) this;
        }

        public Criteria andIssyncNotBetween(Integer value1, Integer value2) {
            addCriterion("ISSYNC not between", value1, value2, "issync");
            return (Criteria) this;
        }

        public Criteria andComeFromIsNull() {
            addCriterion("come_from is null");
            return (Criteria) this;
        }

        public Criteria andComeFromIsNotNull() {
            addCriterion("come_from is not null");
            return (Criteria) this;
        }

        public Criteria andComeFromEqualTo(String value) {
            addCriterion("come_from =", value, "comeFrom");
            return (Criteria) this;
        }

        public Criteria andComeFromNotEqualTo(String value) {
            addCriterion("come_from <>", value, "comeFrom");
            return (Criteria) this;
        }

        public Criteria andComeFromGreaterThan(String value) {
            addCriterion("come_from >", value, "comeFrom");
            return (Criteria) this;
        }

        public Criteria andComeFromGreaterThanOrEqualTo(String value) {
            addCriterion("come_from >=", value, "comeFrom");
            return (Criteria) this;
        }

        public Criteria andComeFromLessThan(String value) {
            addCriterion("come_from <", value, "comeFrom");
            return (Criteria) this;
        }

        public Criteria andComeFromLessThanOrEqualTo(String value) {
            addCriterion("come_from <=", value, "comeFrom");
            return (Criteria) this;
        }

        public Criteria andComeFromLike(String value) {
            addCriterion("come_from like", value, "comeFrom");
            return (Criteria) this;
        }

        public Criteria andComeFromNotLike(String value) {
            addCriterion("come_from not like", value, "comeFrom");
            return (Criteria) this;
        }

        public Criteria andComeFromIn(List<String> values) {
            addCriterion("come_from in", values, "comeFrom");
            return (Criteria) this;
        }

        public Criteria andComeFromNotIn(List<String> values) {
            addCriterion("come_from not in", values, "comeFrom");
            return (Criteria) this;
        }

        public Criteria andComeFromBetween(String value1, String value2) {
            addCriterion("come_from between", value1, value2, "comeFrom");
            return (Criteria) this;
        }

        public Criteria andComeFromNotBetween(String value1, String value2) {
            addCriterion("come_from not between", value1, value2, "comeFrom");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(String value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(String value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(String value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(String value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(String value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(String value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLike(String value) {
            addCriterion("create_time like", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotLike(String value) {
            addCriterion("create_time not like", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<String> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<String> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(String value1, String value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(String value1, String value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andBaseidIsNull() {
            addCriterion("BASEID is null");
            return (Criteria) this;
        }

        public Criteria andBaseidIsNotNull() {
            addCriterion("BASEID is not null");
            return (Criteria) this;
        }

        public Criteria andBaseidEqualTo(String value) {
            addCriterion("BASEID =", value, "baseid");
            return (Criteria) this;
        }

        public Criteria andBaseidNotEqualTo(String value) {
            addCriterion("BASEID <>", value, "baseid");
            return (Criteria) this;
        }

        public Criteria andBaseidGreaterThan(String value) {
            addCriterion("BASEID >", value, "baseid");
            return (Criteria) this;
        }

        public Criteria andBaseidGreaterThanOrEqualTo(String value) {
            addCriterion("BASEID >=", value, "baseid");
            return (Criteria) this;
        }

        public Criteria andBaseidLessThan(String value) {
            addCriterion("BASEID <", value, "baseid");
            return (Criteria) this;
        }

        public Criteria andBaseidLessThanOrEqualTo(String value) {
            addCriterion("BASEID <=", value, "baseid");
            return (Criteria) this;
        }

        public Criteria andBaseidLike(String value) {
            addCriterion("BASEID like", value, "baseid");
            return (Criteria) this;
        }

        public Criteria andBaseidNotLike(String value) {
            addCriterion("BASEID not like", value, "baseid");
            return (Criteria) this;
        }

        public Criteria andBaseidIn(List<String> values) {
            addCriterion("BASEID in", values, "baseid");
            return (Criteria) this;
        }

        public Criteria andBaseidNotIn(List<String> values) {
            addCriterion("BASEID not in", values, "baseid");
            return (Criteria) this;
        }

        public Criteria andBaseidBetween(String value1, String value2) {
            addCriterion("BASEID between", value1, value2, "baseid");
            return (Criteria) this;
        }

        public Criteria andBaseidNotBetween(String value1, String value2) {
            addCriterion("BASEID not between", value1, value2, "baseid");
            return (Criteria) this;
        }

        public Criteria andYlzd1IsNull() {
            addCriterion("ylzd1 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd1IsNotNull() {
            addCriterion("ylzd1 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd1EqualTo(String value) {
            addCriterion("ylzd1 =", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotEqualTo(String value) {
            addCriterion("ylzd1 <>", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1GreaterThan(String value) {
            addCriterion("ylzd1 >", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd1 >=", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1LessThan(String value) {
            addCriterion("ylzd1 <", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1LessThanOrEqualTo(String value) {
            addCriterion("ylzd1 <=", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1Like(String value) {
            addCriterion("ylzd1 like", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotLike(String value) {
            addCriterion("ylzd1 not like", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1In(List<String> values) {
            addCriterion("ylzd1 in", values, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotIn(List<String> values) {
            addCriterion("ylzd1 not in", values, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1Between(String value1, String value2) {
            addCriterion("ylzd1 between", value1, value2, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotBetween(String value1, String value2) {
            addCriterion("ylzd1 not between", value1, value2, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd2IsNull() {
            addCriterion("ylzd2 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd2IsNotNull() {
            addCriterion("ylzd2 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd2EqualTo(String value) {
            addCriterion("ylzd2 =", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotEqualTo(String value) {
            addCriterion("ylzd2 <>", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2GreaterThan(String value) {
            addCriterion("ylzd2 >", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd2 >=", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2LessThan(String value) {
            addCriterion("ylzd2 <", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2LessThanOrEqualTo(String value) {
            addCriterion("ylzd2 <=", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2Like(String value) {
            addCriterion("ylzd2 like", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotLike(String value) {
            addCriterion("ylzd2 not like", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2In(List<String> values) {
            addCriterion("ylzd2 in", values, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotIn(List<String> values) {
            addCriterion("ylzd2 not in", values, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2Between(String value1, String value2) {
            addCriterion("ylzd2 between", value1, value2, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotBetween(String value1, String value2) {
            addCriterion("ylzd2 not between", value1, value2, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd3IsNull() {
            addCriterion("ylzd3 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd3IsNotNull() {
            addCriterion("ylzd3 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd3EqualTo(String value) {
            addCriterion("ylzd3 =", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotEqualTo(String value) {
            addCriterion("ylzd3 <>", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3GreaterThan(String value) {
            addCriterion("ylzd3 >", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd3 >=", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3LessThan(String value) {
            addCriterion("ylzd3 <", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3LessThanOrEqualTo(String value) {
            addCriterion("ylzd3 <=", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3Like(String value) {
            addCriterion("ylzd3 like", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotLike(String value) {
            addCriterion("ylzd3 not like", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3In(List<String> values) {
            addCriterion("ylzd3 in", values, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotIn(List<String> values) {
            addCriterion("ylzd3 not in", values, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3Between(String value1, String value2) {
            addCriterion("ylzd3 between", value1, value2, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotBetween(String value1, String value2) {
            addCriterion("ylzd3 not between", value1, value2, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd4IsNull() {
            addCriterion("ylzd4 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd4IsNotNull() {
            addCriterion("ylzd4 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd4EqualTo(String value) {
            addCriterion("ylzd4 =", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotEqualTo(String value) {
            addCriterion("ylzd4 <>", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4GreaterThan(String value) {
            addCriterion("ylzd4 >", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd4 >=", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4LessThan(String value) {
            addCriterion("ylzd4 <", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4LessThanOrEqualTo(String value) {
            addCriterion("ylzd4 <=", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4Like(String value) {
            addCriterion("ylzd4 like", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotLike(String value) {
            addCriterion("ylzd4 not like", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4In(List<String> values) {
            addCriterion("ylzd4 in", values, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotIn(List<String> values) {
            addCriterion("ylzd4 not in", values, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4Between(String value1, String value2) {
            addCriterion("ylzd4 between", value1, value2, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotBetween(String value1, String value2) {
            addCriterion("ylzd4 not between", value1, value2, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd5IsNull() {
            addCriterion("ylzd5 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd5IsNotNull() {
            addCriterion("ylzd5 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd5EqualTo(String value) {
            addCriterion("ylzd5 =", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotEqualTo(String value) {
            addCriterion("ylzd5 <>", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5GreaterThan(String value) {
            addCriterion("ylzd5 >", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd5 >=", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5LessThan(String value) {
            addCriterion("ylzd5 <", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5LessThanOrEqualTo(String value) {
            addCriterion("ylzd5 <=", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5Like(String value) {
            addCriterion("ylzd5 like", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotLike(String value) {
            addCriterion("ylzd5 not like", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5In(List<String> values) {
            addCriterion("ylzd5 in", values, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotIn(List<String> values) {
            addCriterion("ylzd5 not in", values, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5Between(String value1, String value2) {
            addCriterion("ylzd5 between", value1, value2, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotBetween(String value1, String value2) {
            addCriterion("ylzd5 not between", value1, value2, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andEndTimeIsNull() {
            addCriterion("end_time is null");
            return (Criteria) this;
        }

        public Criteria andEndTimeIsNotNull() {
            addCriterion("end_time is not null");
            return (Criteria) this;
        }

        public Criteria andEndTimeEqualTo(String value) {
            addCriterion("end_time =", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotEqualTo(String value) {
            addCriterion("end_time <>", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeGreaterThan(String value) {
            addCriterion("end_time >", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeGreaterThanOrEqualTo(String value) {
            addCriterion("end_time >=", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeLessThan(String value) {
            addCriterion("end_time <", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeLessThanOrEqualTo(String value) {
            addCriterion("end_time <=", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeLike(String value) {
            addCriterion("end_time like", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotLike(String value) {
            addCriterion("end_time not like", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeIn(List<String> values) {
            addCriterion("end_time in", values, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotIn(List<String> values) {
            addCriterion("end_time not in", values, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeBetween(String value1, String value2) {
            addCriterion("end_time between", value1, value2, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotBetween(String value1, String value2) {
            addCriterion("end_time not between", value1, value2, "endTime");
            return (Criteria) this;
        }

        public Criteria andDelaydaysIsNull() {
            addCriterion("delayDays is null");
            return (Criteria) this;
        }

        public Criteria andDelaydaysIsNotNull() {
            addCriterion("delayDays is not null");
            return (Criteria) this;
        }

        public Criteria andDelaydaysEqualTo(String value) {
            addCriterion("delayDays =", value, "delaydays");
            return (Criteria) this;
        }

        public Criteria andDelaydaysNotEqualTo(String value) {
            addCriterion("delayDays <>", value, "delaydays");
            return (Criteria) this;
        }

        public Criteria andDelaydaysGreaterThan(String value) {
            addCriterion("delayDays >", value, "delaydays");
            return (Criteria) this;
        }

        public Criteria andDelaydaysGreaterThanOrEqualTo(String value) {
            addCriterion("delayDays >=", value, "delaydays");
            return (Criteria) this;
        }

        public Criteria andDelaydaysLessThan(String value) {
            addCriterion("delayDays <", value, "delaydays");
            return (Criteria) this;
        }

        public Criteria andDelaydaysLessThanOrEqualTo(String value) {
            addCriterion("delayDays <=", value, "delaydays");
            return (Criteria) this;
        }

        public Criteria andDelaydaysLike(String value) {
            addCriterion("delayDays like", value, "delaydays");
            return (Criteria) this;
        }

        public Criteria andDelaydaysNotLike(String value) {
            addCriterion("delayDays not like", value, "delaydays");
            return (Criteria) this;
        }

        public Criteria andDelaydaysIn(List<String> values) {
            addCriterion("delayDays in", values, "delaydays");
            return (Criteria) this;
        }

        public Criteria andDelaydaysNotIn(List<String> values) {
            addCriterion("delayDays not in", values, "delaydays");
            return (Criteria) this;
        }

        public Criteria andDelaydaysBetween(String value1, String value2) {
            addCriterion("delayDays between", value1, value2, "delaydays");
            return (Criteria) this;
        }

        public Criteria andDelaydaysNotBetween(String value1, String value2) {
            addCriterion("delayDays not between", value1, value2, "delaydays");
            return (Criteria) this;
        }

        public Criteria andDelayunitIsNull() {
            addCriterion("delayUnit is null");
            return (Criteria) this;
        }

        public Criteria andDelayunitIsNotNull() {
            addCriterion("delayUnit is not null");
            return (Criteria) this;
        }

        public Criteria andDelayunitEqualTo(String value) {
            addCriterion("delayUnit =", value, "delayunit");
            return (Criteria) this;
        }

        public Criteria andDelayunitNotEqualTo(String value) {
            addCriterion("delayUnit <>", value, "delayunit");
            return (Criteria) this;
        }

        public Criteria andDelayunitGreaterThan(String value) {
            addCriterion("delayUnit >", value, "delayunit");
            return (Criteria) this;
        }

        public Criteria andDelayunitGreaterThanOrEqualTo(String value) {
            addCriterion("delayUnit >=", value, "delayunit");
            return (Criteria) this;
        }

        public Criteria andDelayunitLessThan(String value) {
            addCriterion("delayUnit <", value, "delayunit");
            return (Criteria) this;
        }

        public Criteria andDelayunitLessThanOrEqualTo(String value) {
            addCriterion("delayUnit <=", value, "delayunit");
            return (Criteria) this;
        }

        public Criteria andDelayunitLike(String value) {
            addCriterion("delayUnit like", value, "delayunit");
            return (Criteria) this;
        }

        public Criteria andDelayunitNotLike(String value) {
            addCriterion("delayUnit not like", value, "delayunit");
            return (Criteria) this;
        }

        public Criteria andDelayunitIn(List<String> values) {
            addCriterion("delayUnit in", values, "delayunit");
            return (Criteria) this;
        }

        public Criteria andDelayunitNotIn(List<String> values) {
            addCriterion("delayUnit not in", values, "delayunit");
            return (Criteria) this;
        }

        public Criteria andDelayunitBetween(String value1, String value2) {
            addCriterion("delayUnit between", value1, value2, "delayunit");
            return (Criteria) this;
        }

        public Criteria andDelayunitNotBetween(String value1, String value2) {
            addCriterion("delayUnit not between", value1, value2, "delayunit");
            return (Criteria) this;
        }

        public Criteria andIsbackIsNull() {
            addCriterion("isback is null");
            return (Criteria) this;
        }

        public Criteria andIsbackIsNotNull() {
            addCriterion("isback is not null");
            return (Criteria) this;
        }

        public Criteria andIsbackEqualTo(Integer value) {
            addCriterion("isback =", value, "isback");
            return (Criteria) this;
        }

        public Criteria andIsbackNotEqualTo(Integer value) {
            addCriterion("isback <>", value, "isback");
            return (Criteria) this;
        }

        public Criteria andIsbackGreaterThan(Integer value) {
            addCriterion("isback >", value, "isback");
            return (Criteria) this;
        }

        public Criteria andIsbackGreaterThanOrEqualTo(Integer value) {
            addCriterion("isback >=", value, "isback");
            return (Criteria) this;
        }

        public Criteria andIsbackLessThan(Integer value) {
            addCriterion("isback <", value, "isback");
            return (Criteria) this;
        }

        public Criteria andIsbackLessThanOrEqualTo(Integer value) {
            addCriterion("isback <=", value, "isback");
            return (Criteria) this;
        }

        public Criteria andIsbackIn(List<Integer> values) {
            addCriterion("isback in", values, "isback");
            return (Criteria) this;
        }

        public Criteria andIsbackNotIn(List<Integer> values) {
            addCriterion("isback not in", values, "isback");
            return (Criteria) this;
        }

        public Criteria andIsbackBetween(Integer value1, Integer value2) {
            addCriterion("isback between", value1, value2, "isback");
            return (Criteria) this;
        }

        public Criteria andIsbackNotBetween(Integer value1, Integer value2) {
            addCriterion("isback not between", value1, value2, "isback");
            return (Criteria) this;
        }

        public Criteria andApprovedelayIsNull() {
            addCriterion("approveDelay is null");
            return (Criteria) this;
        }

        public Criteria andApprovedelayIsNotNull() {
            addCriterion("approveDelay is not null");
            return (Criteria) this;
        }

        public Criteria andApprovedelayEqualTo(String value) {
            addCriterion("approveDelay =", value, "approvedelay");
            return (Criteria) this;
        }

        public Criteria andApprovedelayNotEqualTo(String value) {
            addCriterion("approveDelay <>", value, "approvedelay");
            return (Criteria) this;
        }

        public Criteria andApprovedelayGreaterThan(String value) {
            addCriterion("approveDelay >", value, "approvedelay");
            return (Criteria) this;
        }

        public Criteria andApprovedelayGreaterThanOrEqualTo(String value) {
            addCriterion("approveDelay >=", value, "approvedelay");
            return (Criteria) this;
        }

        public Criteria andApprovedelayLessThan(String value) {
            addCriterion("approveDelay <", value, "approvedelay");
            return (Criteria) this;
        }

        public Criteria andApprovedelayLessThanOrEqualTo(String value) {
            addCriterion("approveDelay <=", value, "approvedelay");
            return (Criteria) this;
        }

        public Criteria andApprovedelayLike(String value) {
            addCriterion("approveDelay like", value, "approvedelay");
            return (Criteria) this;
        }

        public Criteria andApprovedelayNotLike(String value) {
            addCriterion("approveDelay not like", value, "approvedelay");
            return (Criteria) this;
        }

        public Criteria andApprovedelayIn(List<String> values) {
            addCriterion("approveDelay in", values, "approvedelay");
            return (Criteria) this;
        }

        public Criteria andApprovedelayNotIn(List<String> values) {
            addCriterion("approveDelay not in", values, "approvedelay");
            return (Criteria) this;
        }

        public Criteria andApprovedelayBetween(String value1, String value2) {
            addCriterion("approveDelay between", value1, value2, "approvedelay");
            return (Criteria) this;
        }

        public Criteria andApprovedelayNotBetween(String value1, String value2) {
            addCriterion("approveDelay not between", value1, value2, "approvedelay");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria implements Serializable {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion implements Serializable {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}